## com.typesafe.config
Class ConfigException.WrongType

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.typesafe.config.ConfigException
                      com.typesafe.config.ConfigException.WrongType

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ConfigException

    public static class ConfigException.WrongType

extends ConfigException

Exception indicating that the type of a value does not match the type you requested.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.typesafe.config.ConfigException
`ConfigException.BadPath, ConfigException.BadValue, ConfigException.BugOrBroken, ConfigException.Generic, ConfigException.IO, ConfigException.Missing, ConfigException.NotResolved, ConfigException.Null, ConfigException.Parse, ConfigException.UnresolvedSubstitution, ConfigException.ValidationFailed, ConfigException.ValidationProblem, ConfigException.WrongType`

Constructor Summary
`ConfigException.WrongType(ConfigOrigin origin, java.lang.String message)`
`ConfigException.WrongType(ConfigOrigin origin, java.lang.String path, java.lang.String expected, java.lang.String actual)`
`ConfigException.WrongType(ConfigOrigin origin, java.lang.String path, java.lang.String expected, java.lang.String actual, java.lang.Throwable cause)`
`ConfigException.WrongType(ConfigOrigin origin, java.lang.String message, java.lang.Throwable cause)`

Method Summary

Methods inherited from class com.typesafe.config.ConfigException
`origin`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigException.WrongType

    public ConfigException.WrongType(ConfigOrigin origin,
                                     java.lang.String path,
                                     java.lang.String expected,
                                     java.lang.String actual,
                                     java.lang.Throwable cause)

### ConfigException.WrongType

    public ConfigException.WrongType(ConfigOrigin origin,
                                     java.lang.String path,
                                     java.lang.String expected,
                                     java.lang.String actual)

### ConfigException.WrongType

    public ConfigException.WrongType(ConfigOrigin origin,
                                     java.lang.String message,
                                     java.lang.Throwable cause)

### ConfigException.WrongType

    public ConfigException.WrongType(ConfigOrigin origin,
                                     java.lang.String message)